import 'package:domain/entity/response/index_option_entity.dart';
import 'package:domain/generated/json/base/json_field.dart';
import 'package:domain/generated/json/contract_option_entity.g.dart';
import 'dart:convert';
export 'package:domain/generated/json/contract_option_entity.g.dart';

@JsonSerializable()
class ContractOptionEntity {
	@JSONField(name: "agency_list")
	List<IndexOptionEntity> agencyList = [];
	@JSONField(name: "status_list")
	List<IndexOptionEntity> statusList = [];

	ContractOptionEntity();

	factory ContractOptionEntity.fromJson(Map<String, dynamic> json) => $ContractOptionEntityFromJson(json);

	Map<String, dynamic> toJson() => $ContractOptionEntityToJson(this);

	@override
	String toString() {
		return jsonEncode(this);
	}
}
